
$(document).ready(function () {
    $('.modal')
            .on({
                'show.bs.modal': function () {
                    var idx = $('.modal:visible').length;
                    $(this).css('z-index', 1040 + (10 * idx));
                },
                'shown.bs.modal': function () {
                    var idx = ($('.modal:visible').length) - 1; // raise backdrop after animation.
                    $('.modal-backdrop').not('.stacked')
                            .css('z-index', 1039 + (10 * idx))
                            .addClass('stacked');
                },
                'hidden.bs.modal': function () {
                    if ($('.modal:visible').length > 0) {
                        // restore the modal-open class to the body element, so that scrolling works
                        // properly after de-stacking a modal.
                        setTimeout(function () {
                            $(document.body).addClass('modal-open');
                        }, 0);
                    }
                }
            });
});
$('#popover').popover();
$(function () {
    $('[data-toggle="tooltip"]').tooltip();
});
$('.btn-alert-deslize').on('click', function () {
    $(".alert-deslize").css("display", "none");
});
//ACTIVE DO MENU
$(document).ready(function () {
    var url = window.location;
    $('ul.sidebar-menu a[href="' + url + '"]').parent().addClass('active');
    $('ul.sidebar-menu a').filter(function () {
        return this.href === url;
    }).parent().addClass('active').parent().parent().addClass('active');
});

function busca_cep(cep) {
    $.getJSON('http://viacep.com.br/ws/' + cep + '/json/', function (data) {
        var form_cep = {
            endereco: data.logradouro,
            bairro: data.bairro,
            estado: data.uf,
            cidade: data.localidade
        };
        form_cep.bairro = form_cep.bairro || 'Nao informado';
        form_cep.estado = form_cep.estado || 'NI';
        form_cep.cidade = form_cep.cidade || 'Nao informado';
        form_cep.endereco = form_cep.endereco || 'Nao informado';
        form_cep.numero = form_cep.numero = 999;
        if (form_cep.cidade === 'Nao informado' || form_cep.estado === 'NI') {
            form_cep.cep = form_cep.cep || 66000000;
        }

        for (var i in form_cep) {
            if ($('input[name=' + i + ']')[0]) {
                $('input[name=' + i + ']').val(form_cep[i]);
                continue;
            }
            $('.content-cep').append(
                    $('<input/>', {name: i, type: 'hidden', class: 'form-control'}).val(form_cep[i])
                    );
        }
    });
}
$(document).ready(function () {
    $('.cpf').mask('000.000.000-00', {reverse: true});
    $('.ceps').mask('00000-000');
    $('.valor').mask('000.000.000.000.000,00', {reverse: true});
});

$(document).ready(function () {

    function limpa_formulário_cep() {
// Limpa valores do formulário de cep.
        $(".cep-curso").val("");
        $("#rua").val("");
        $("#bairro").val("");
        $("#cidade").val("");
        $("#uf").val("");
    }

//Quando o campo cep perde o foco.
    $(".cep-curso").blur(function () {

//Nova variável "cep" somente com dígitos.
        var cep = $(this).val().replace(/\D/g, '');
        //Verifica se campo cep possui valor informado.
        if (cep !== "") {

//Expressão regular para validar o CEP.
            var validacep = /^[0-9]{8}$/;
            //Valida o formato do CEP.
            if (validacep.test(cep)) {

//Preenche os campos com "..." enquanto consulta webservice.
                $("#rua").val("...");
                $("#bairro").val("...");
                $("#cidade").val("...");
                $("#uf").val("...");
                //Consulta o webservice viacep.com.br/
                $.getJSON("//viacep.com.br/ws/" + cep + "/json/?callback=?", function (dados) {

                    if (!("erro" in dados)) {
                        //Atualiza os campos com os valores da consulta.
                        $("#rua").val(dados.logradouro);
                        $("#bairro").val(dados.bairro);
                        $("#cidade").val(dados.localidade);
                        $("#uf").val(dados.uf);
                    } //end if.
                    else {
                        //CEP pesquisado não foi encontrado.
                        //limpa_formulário_cep();
                        alertify.set("notifier", "position", "top-right");
                        alertify.error('O CEP informado não foi encontrado. Por favor verifique os seus dados');
                    }
                });
            } //end if.
            else {
//cep é inválido.
//limpa_formulário_cep();
                alertify.set("notifier", "position", "top-right");
                alertify.error('Formato de CEP inválido. Por favor verifique os seus dados');
            }
        } //end if.
        else {
//cep sem valor, limpa formulário.
            limpa_formulário_cep();
        }
    });
});


$(document).ready(function () {
    $('#form-aluno-pesq').on('submit', function () {

        $(".textos").html('<p>Aguarde...O sistema está buscando o aluno</p>');
        $("#aguardeS").css("display", "block");
        $("#blanketS").css("display", "block");

    });

});
$(document).ready(function () {
    $('#form-arquivado').on('submit', function () {

        $(".textos").html('<p>Aguarde...O sistema está gerando o relatório</p>');
        $("#aguardeS").css("display", "block");
        $("#blanketS").css("display", "block");

    });

});
$(document).ready(function () {
    $('.btn-mAcademic').on('click', function () {

        var id = $(this).data("id");

        var point = 'academico';
        $.post(point, {id: id}, function (data) {

            $('.tabela-historico').html('');
            var response = JSON.parse(data);
            if (response.resp == true) {

                var dados = response.result;
                if (dados.length == 0) {
                    $(".erro").css("display", "block");
                    $(".estudou").css("display", "none");
                    $('#academico .modal-body').append(
                            $('.erro').html('<div class="alert alert-warning" role="alert"><i class="fa fa-info-circle"></i> <span> Este aluno não possui cursos matriculados </span> </div>')
                            );
                } else {
                    $(".erro").css("display", "none");

                    var table = $('<table/>', {class: 'table table-bordered table-hover animated fadeIn'});
                    var thead = $('<thead/>');
                    var tbody = $('<tbody/>');
                    var titulos = ['HISTÓRICO', 'NOME DO CURSO', 'CARGA HORÁRIA', 'MATRICULA', 'CONCLUSÃO', 'NOTA', 'ESTUDOU', 'SITUAÇÃO', 'PAGO'];

                    for (var tils in titulos) {
                        thead.append(
                                $('<th/>').text(titulos[tils])
                                );
                    }
                    for (var i in dados) {
                        var sub_dados = dados[i];
                        var tr = $('<tr/>');
                        var situacao = '';
                        var acesso = '';
                        var cliques = '';
                        var situacao_pag = '-';
                        if (sub_dados.nota >= 50) {
                            situacao = 'Aprovado';
                        } else if (sub_dados.nota < 50 && sub_dados.concluido != 0 && sub_dados.concluido != 2 && sub_dados.concluido != 3) {
                            situacao = 'Reprovado';
                        } else if (sub_dados.concluido == 0) {
                            situacao = 'Matriculado';
                        } else if (sub_dados.concluido == 2) {
                            situacao = 'Cancelado';
                        } else if (sub_dados.concluido == 3) {
                            situacao = 'Jubilado';
                        }
                        if (sub_dados.num_cliques == null || sub_dados.num_cliques == 0) {
                            cliques = 0;
                            acesso = 'Não';
                        } else {
                            cliques = sub_dados.num_cliques;
                            acesso = 'Sim';
                        }

//                        if (sub_dados.situacao_pagamento == 1) {
//                            situacao_pag = 'Autorizado';
//                        } else if (sub_dados.situacao_pagamento == 2) {
//                            situacao_pag = 'Iniciado';
//                        } else if (sub_dados.situacao_pagamento == 3) {
//                            situacao_pag = 'Boleto Impresso';
//                        } else if (sub_dados.situacao_pagamento == 4) {
//                            situacao_pag = 'Autorizado';
//                        } else if (sub_dados.situacao_pagamento == 5) {
//                            situacao_pag = 'Iniciado';
//                        } else if (sub_dados.situacao_pagamento == 6) {
//                            situacao_pag = 'Em Análise';
//                        } else if (sub_dados.situacao_pagamento == 7) {
//                            situacao_pag = 'Estornado';
//                        } else if (sub_dados.situacao_pagamento == 8) {
//                            situacao_pag = 'Pendente';
//                        } else if (sub_dados.situacao_pagamento == 9) {
//                            situacao = 'Reembolsado';
//                        } else if (sub_dados.situacao_pagamento == 0 || sub_dados.situacao_pagamento == '') {
//                            situacao_pag = '-';
//                        }

                        var ultimo_dia = (sub_dados.ultimo_dia == null || sub_dados.ultimo_dia == "") ? 'Não finalizado' : sub_dados.ultimo_dia.split('-').reverse().join('/');

                        tr.append(
                                $('<td/>').text(sub_dados.id_historico)
                                );
                        tr.append(
                                $('<td/>').text(sub_dados.nome)
                                );
                        tr.append(
                                $('<td/>').text(sub_dados.carga_horaria + ' Horas')
                                );
                        tr.append(
                                $('<td/>').text(sub_dados.primeiro_dia.split('-').reverse().join('/'))
                                );
                        tr.append(
                                $('<td/>').text(ultimo_dia)
                                );
                        tr.append(
                                $('<td/>').text(sub_dados.nota)
                                );
                        tr.append(
                                $('<td/>').text(acesso + ' (' + cliques + ')')
                                );
                        tr.append(
                                $('<td/>').text(situacao)
                                );
                         tr.append(
                                $('<td/>').text(sub_dados.situacao_pagamento)
                                );
//                        tr.append(
//                                $('<td/>').append(
//                                $('<button/>', {class: 'btn btn-success certificado-aluno', 'data-ref': sub_dados.id_historico}).html('<span class="glyphicon glyphicon-file" aria-hidden="true"></span>')
//                                )
//                                );
                        
                        tbody.append(tr);
                    }
                    table.append(thead);
                    table.append(tbody);
                    $('.tabela-historico').append(table);
                }
            }
        });

    });

});


function financeiro(transacao) {
    $.post('transacao', {transacao: transacao}, function (datas) {
        var responses = JSON.parse(datas);
        var dado = responses.result;
        for (var i in dado) {

            var sub_dadoss = dado[i];
            console.log(sub_dadoss.nome);
        }

    });
}
$('body').delegate('.certificado-aluno', 'click', function () {
    var historico = $(this).data("ref");
    var point = 'json_get_certificado';
    var nome_curso = $(this).parent().parent().find('td').eq(1).text();
    $.post(point, {historico: historico}, function (data) {

        $('#certificado-log .modal-body').empty();
        $('#certificado-log .modal-header').empty();

        if (data.resp == true) {
            var table = $('<table/>', {class: 'table table-hover'});
            var head = $('<thead/>');
            var body = $('<tbody/>');
            var columns = ['TRANSAÇÃO', 'DATA REGISTRO', 'SITUAÇÃO', 'ENDEREÇO'];

            for (var i in columns) {
                head.append(
                        $('<th/>').text(columns[i])
                        );
            }
            for (var x in data.result) {
                var item = data.result[x];
                var fn_situacao = function (s) {
                    switch (s) {
                        case '0':
                            return 'Aguardando Envio';
                        case '1':
                            return 'Enviado';
                        case '2':
                            return 'Devolvido';
                        case '3':
                            return 'Reenviado';
                        case '4':
                            return 'Arquivado';
                        default:
                            return 'Não informado';
                    }
                };

                var format_date = function (date) {
                    var d = new Date(date);

                    var datestring = d.getDate() + "/" + (d.getMonth() + 1) + "/" + d.getFullYear() + " " + d.getHours() + ":" + d.getMinutes();

                    return datestring;
                };

                body.append(
                        $('<tr/>')
                        .append(
                                $('<td/>').text(item.transacao)
                                )
                        .append(
                                $('<td/>').text(format_date(item.data_registro))
                                )
                        .append(
                                $('<td/>').text(fn_situacao(item.situacao))
                                )
                        .append(
                                $('<td/>').text(item.endereco)
                                )
                        );
                table.append(head).append(body);
                $('#certificado-log .modal-body').append(table);
            }
        } else {
            $('#certificado-log .modal-body').append(
                    $('<h3/>').text('Não há registro de atividade para o histórico informado!')
                    );
        }
        $('#certificado-log .modal-header').html('<b>CURSO:</b> ' + nome_curso);
        $('#certificado-log').modal('show');
    }, 'json');
});


$(document).ready(function () {
    $('.btn-mFinanceiro').on('click', function () {

        var id = $(this).data("id");
        var point = 'financeiro';
        $.post(point, {id: id}, function (data) {

            $('.tabela-financeiro').html('');

            var response = JSON.parse(data);

            if (response.resp == true) {

                var dados = response.result;
                if (dados.length == 0) {
                    $(".erro").css("display", "block");
                    $('#financeiro .modal-body').append(
                            $('.erro').html('<div class="alert alert-warning" role="alert"><i class="fa fa-info-circle"></i> <span> Este aluno não possui transações financeiras </span> </div>')
                            );
                } else {
                    $(".erro").css("display", "none");

                    var table = $('<table/>', {class: 'table table-bordered table-hover animated fadeIn financa'});
                    var thead = $('<thead/>');
                    var tbody = $('<tbody/>');
                    var titulos = ['TRANSAÇÃO', 'DESCRIÇÃO', 'TIPO', 'VALOR', 'DATA', 'SITUAÇÃO'];

                    for (var tils in titulos) {
                        thead.append(
                                $('<th/>').text(titulos[tils])
                                );
                    }
                    for (var i in dados) {

                        var sub_dados = dados[i];

                        var tr = $('<tr/>');
                        var tipo = '';
                        var situacao = '';
                        var nomes = '';
                        if (sub_dados.tipo == "BoletoBancario") {
                            tipo = 'Boleto';
                        } else if (sub_dados.tipo == "CartaoDeCredito" || sub_dados.tipo == "CartaoCredito") {
                            tipo = 'Cartão de Crédito';
                        } else if (sub_dados.tipo == "DebitoBancario" || sub_dados.tipo == "CartaoDeDebito" || sub_dados.tipo == "Debito") {
                            tipo = 'Débito';
                        } else if (sub_dados.tipo == "Saldo") {
                            var situacao = 'Aprovado';
                            tipo = 'Saldo';
                        }

                        if (sub_dados.situacao == 1) {
                            situacao = 'Autorizado';
                        } else if (sub_dados.situacao == 2) {
                            situacao = 'Iniciado';
                        } else if (sub_dados.situacao == 3) {
                            situacao = 'Boleto Impresso';
                        } else if (sub_dados.situacao == 4) {
                            situacao = 'Autorizado';
                        } else if (sub_dados.situacao == 5) {
                            situacao = 'Iniciado';
                        } else if (sub_dados.situacao == 6) {
                            situacao = 'Em Análise';
                        } else if (sub_dados.situacao == 7) {
                            situacao = 'Estornado';
                        } else if (sub_dados.situacao == 8) {
                            situacao = 'Pendente';
                        } else if (sub_dados.situacao == 9) {
                            situacao = 'Reembolsado';
                        } else if (sub_dados.situacao == 0 || sub_dados.situacao == '') {
                            situacao = '-';
                        }
                        if (sub_dados.nome == false) {
                            nomes = '-';
                        } else {
                            nomes = sub_dados.nome;
                        }
                        tr.append(
                                $('<td/>').text(sub_dados.transacao)
                                );
                        tr.append(
                                $('<td/>').text(nomes)
                                );
                        tr.append(
                                $('<td/>').text(tipo)
                                );
                        tr.append(
                                $('<td/>').text(' R$ ' + sub_dados.valor)
                                );
                        tr.append(
                                $('<td/>').text(sub_dados.data)
                                );
                        tr.append(
                                $('<td/>').text(situacao)
                                );

                        tbody.append(tr);
                    }
                    table.append(thead);
                    table.append(tbody);
                    $('.tabela-financeiro').append(table);
                }
            } else {
                $(".erro").css("display", "block");
                $('#financeiro .modal-body').append(
                        $('.erro').html('<div class="alert alert-warning" role="alert"><i class="fa fa-info-circle"></i> <span> Este aluno não possui transações financeiras </span> </div>')
                        );

            }
        });

    });

});

$(document).ready(function () {
    $('.only-number').on('input', function () {
        $(this).val($(this).val().replace(/[^0-9]/g, ""));
    });
    $('#cert').on('click', function () {
        document.getElementById('cert').removeAttribute('href');

    });

    $('#nenviados').on('click', function () {
        $('.certificado').focus();
    });

});

$(document).ready(function () {
    $('.btn-certificado').on('click', function () {

        var id = $(this).data("id");
        var endereco = $(this).data("endereco");
        $.ajax({
            data: {id: id, endereco: endereco},
            type: "POST",
            dataType: 'json',
            url: 'enviacertificados',
            success: function (data) {
                if (data['situacao'] == true) {
                    alertify.set('notifier', 'delay', 2);
                    alertify.set("notifier", "position", "top-center");
                    alertify.success('Certificado Enviado');
                    $("." + id + "").addClass("animated fadeOut");

                    setTimeout(function () {
                        $("." + id + "").css("display", "none");
                    }, 1900);
                }
            }
        });
    });
});

$(document).ready(function () {
    $('#termo').submit(function (e) {
        e.preventDefault();
        $(document).ajaxStart(function () {
            $(".textos").html('<p>Aguarde...O sistema está salvando o novo termo de uso</p>');
            $("#aguardeS").css("display", "block");
            $("#blanketS").css("display", "block");
        });
        $(document).ajaxComplete(function () {
            $("#aguardeS").css("display", "none");
            $("#blanketS").css("display", "none");
        });
        $.ajax({
            data: $("#termo").serialize(),
            type: "POST",
            dataType: 'json',
            url: 'novotermo',
            success: function (data) {
                if (data['situacao'] == true) {
                    alertify.set('notifier', 'delay', 3);
                    alertify.set("notifier", "position", "top-center");
                    alertify.success('Salvo com sucesso');
                } else if (data['situacao'] == false){
                    alertify.set('notifier', 'delay', 3);
                    alertify.set("notifier", "position", "top-center");
                    alertify.error(data['form']);
                } else if (data['situacao'] == 'vazio') {
                    alertify.set('notifier', 'delay', 3);
                    alertify.set("notifier", "position", "top-center");
                    alertify.error('O termo de uso está vazio');
                }
            }
        });
    });
});
$("#code").on('keydown', function (e) {
    if (e.keyCode == 13) {
        e.preventDefault();
        barCodeAjax();
        $("#code").val('');
        return false;
    }
});
//LEITOR DE COD BARRA AJAX
function barCodeAjax() {
    $.ajax({
        data: $("#barcode").serialize(),
        type: "POST",
        dataType: 'json',
        url: 'enviacertificados',
        success: function (data) {
            if (data['situacao'] == true) {
                alertify.set('notifier', 'delay', 2);
                alertify.set("notifier", "position", "top-center");
                alertify.success('Certificado Enviado');
                $("." + data['id'] + "").addClass("animated fadeOut");

                setTimeout(function () {
                    $("." + data['id'] + "").css("display", "none");
                }, 1900);
            } else if (data['situacao'] == false) {
                alertify.set('notifier', 'delay', 2);
                alertify.set("notifier", "position", "top-center");
                alertify.error('Certificado já enviado');
            } else if (data['situacao'] == 'erro') {
                alertify.set('notifier', 'delay', 2);
                alertify.set("notifier", "position", "top-center");
                alertify.error('Histórico não encontrado');
            }
        }
    });
}
;
$(document).ready(function () {
    $('.btn-indeferir').on('click', function (e) {
        e.preventDefault();
        var id = $(this).data("id");
        cancelaAssinatura(id);
    });
});
function cancelaAssinatura(id) {
    swal({
        title: "Deseja realmente indeferir a assinatura?",
        type: "warning",
        showCancelButton: true,
        closeOnConfirm: false,
        confirmButtonText: "Sim",
        cancelButtonText: "Não"
    }, function () {
        var indeferir = 2;
        $.ajax({
            data: {id: id, indeferir: indeferir},
            type: "POST",
            dataType: 'json',
            url: 'indeferir',
            success: function (data) {
                if (data['situacao'] == true) {
                    swal("Indeferido!", "A assinatura foi indeferida com sucesso", "success");
                    $("." + id + "").addClass("animated fadeOut");

                    setTimeout(function () {
                        $("." + id + "").css("display", "none");
                    }, 1900);
                }
            }
        });

    });
}
$('#assinatura-aluno').on('change', function () {
    if (this.files && this.files[0]) {

        if (this.files[0].type == "image/jpeg" || this.files[0].type == "image/jpg" || this.files[0].type == "image/png") {
            $(".btn-upl").removeClass("disabled");
        } else {

            $(".assinatura-atual").css("display", "block");
            alertify.set('notifier', 'delay', 5);
            alertify.set("notifier", "position", "top-center");
            alertify.error('Formato não permitido. Envie uma imagem em um dos seguintes formatos: jpeg, jpg ou png.');
            $("#assinatura-aluno").val("");
            $(".upload-button-remove").css("display", "none");
        }
    }
});

$(document).ready(function () {
    $('.upload-button-remove').on('click', function () {
        $("#assinatura-aluno").val("");
        $(".btn-upl").addClass("disabled");
    });
});

$(document).ready(function () {
    $('#ativarassinatura').submit(function (e) {
        e.preventDefault();
        $(document).ajaxStart(function () {
            $(".textos").html('<p>Aguarde...</p>');
            $("#aguardeS").css("display", "block");
            $("#blanketS").css("display", "block");
        });
        $(document).ajaxComplete(function () {
            $("#aguardeS").css("display", "none");
            $("#blanketS").css("display", "none");
        });
        $.ajax({
            data: $("#ativarassinatura").serialize(),
            type: "POST",
            dataType: 'json',
            url: 'ativar',
            success: function (data) {
                if (data['situacao'] == true) {
                    alertify.set('notifier', 'delay', 3);
                    alertify.set("notifier", "position", "top-center");
                    alertify.success('Operação realizada com sucesso');
                    
                    setTimeout(function () {
                       window.location.reload();
                    }, 1900);
                }
            }
        });
    });
});

$(document).ready(function () {
    $('#indeferir-assinatura').submit(function (e) {
        e.preventDefault();
        $(document).ajaxStart(function () {
            $(".textos").html('<p>Aguarde...</p>');
            $("#aguardeS").css("display", "block");
            $("#blanketS").css("display", "block");
        });
        $(document).ajaxComplete(function () {
            $("#aguardeS").css("display", "none");
            $("#blanketS").css("display", "none");
        });
        $.ajax({
            data: $("#indeferir-assinatura").serialize(),
            type: "POST",
            dataType: 'json',
            url: 'indeferir',
            success: function (data) {
                if (data['situacao'] == true) {
                    alertify.set('notifier', 'delay', 3);
                    alertify.set("notifier", "position", "top-center");
                    alertify.success('Operação realizada com sucesso');
                    $(".img-responsive").addClass("animated fadeOut");

                    setTimeout(function () {
                       window.location.reload();
                    }, 1900);
                }
            }
        });
    });
});

// GRÁFICOS
$(document).ready(function () {
    
    $.ajax({
        type: "GET",
        dataType: 'json',
        url: 'financeiros',
        success: function (data) {
            var ctx = document.getElementById("financeiro").getContext('2d');
            var myChart = new Chart(ctx, {
               
                type: 'bar',
                data: data.tarefas,
                options: data.opcoes

            });
        }
    });

    $.ajax({
        type: "GET",
        dataType: 'json',
        url: 'academicos',
        success: function (data) {
            var ctx = document.getElementById("academico").getContext('2d');
            var myChart = new Chart(ctx, {
               
                type: 'bar',
                data: data.tarefas,
                options: {
                    title: {
                    display: true,
                    text: 'Matrículas Realizadas',
                    fontSize: 18
                    },
                    legend: {
                    display: false    
                    },
                    responsive: true
                }

            });
        }
    });
});